










      subroutine online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


      return
      end subroutine online_spectral_diags_empty
      subroutine init_online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


      end subroutine init_online_spectral_diags_empty
      subroutine run_online_spectral_diags_empty

      use Agrif_Types, only : Agrif_tabvars


      end subroutine run_online_spectral_diags_empty
